#pragma once

//#include "bombax.h"
#include "robbase.h"
 
#define MO_MIN_SPEED  5.
#define MO_MAX_SPEED  800.

//Motion Time
//速度规划曲线
//速度规划曲线
#define   MO_PT_T  0 //		MO_PT_T=1,
#define   MO_PT_S  1 //		MP_PROFILE_S=1,
	 

class ROBBASE_API CMotOpts
{
public:
	CMotOpts();
	virtual ~CMotOpts(void);


	//下面的函数为了兼容
	//同时也可以起参数保护作用
	double GetMinSpeed();
	double GetMaxSpeed();
	double GetSpeed();

	double GetAcc();
	double GetAcc2();


	double GetDec();
	double GetDec2();

	//所有数据
	void SetSpeed(double speed, BOOL bResetAcc );
	//所有数据
	void SetSpeed(double speed, double minRatio , double maxRatio , double accRatio , double acc2Ratio  , double decRatio , double dec2Ratio  );
	//加速: speed, maxspeed , acc, acc2);
	void SetSpeed(double speed, double maxSpeed, double acc);
	//减速， speed, dec ,dec2
	void SetSpeed(double speed, double dec);


	//运算符重载
	CMotOpts& operator=(CMotOpts& motOpts);

public:
	//速度，加速度，加加速度， 减速度，减减速度。
	double   m_nMinSpeed, m_nSpeed, m_nMaxSpeed;
    double   m_nAcc, m_nAcc2;
	double   m_nDec, m_nDec2;

	 
	int      m_nProfile;       // 运动规划曲线, 需要具体卡支持
	


};

